YTREE(1)

NOMBRE
ytree - Administrador de archivos -

SINOPSIS

ytree [nómbre de archivo|directorio]

DESCRIPCION

Si no hay argumentos de línea de comandos, será usado el directorio actual.

Son provistos de los siguientes comandos

1.) Ventana de DRIECTORIOS:

-Attribute
    Cambiar permisos de directorio (como chmod)

-Delete
    Borrar el directorio seleccionado

-Filespec
    Configurar máscara (exp. regulares) e.g. *.[ch] para todos los ficheros *.c y *.h -

-Group
    Cambiar el grupo dueño del directorio

-Log
    Reiniciar ytree con un nuevo directorio/archivo raiz

-Makedir
    Crear un nuevo directorio

-Owner
    Cambiar el usuario dueño del directorio/fichero seleccionado

-Rename
    Renombrar el directorio o fichero seleccionado

-Showall
    Mostrar todos los ficheros de todos los directorios cargados en memoria

-Tag
    Marcar todos los ficheros en el directorio seleccionado

-Untag
    Desmarcar todos los ficheros del directorio seleccionado

-eXecute
    Ejecutar un shell con un comando

-^Filemode
    Cambiar el modo de vista:
    - Solamente nómbres
    - Nómbre, atributos, links, tamaño,
      fecha de modificación, link simbólico
    - nómbre, atributos, inode, dueño, grupo, link simbólico
    - change status-, fecha de acceso, link simbólico

-Return
    Cambiar a la siguiente ventana

2.) Ventana de FICHEROS

-Attribute
    Cambiar los permisos del fichero (como chmod)

-^Attribute
    Cambiar los permisos de todos los ficheros marcados. ? significa: no cambiar el atributo

-Copy
    Copiar el fichero

-^K Copy
    Copiar todos los ficheros marcados

-Delete
    Borrar el fichero seleccionado

-^Delete
    Borrar todos los ficheros seleccionados

-Edit
    Editar el fichero con $EDITOR (ver ~/.ytree) o - si no esta ninguno definido - vi

-Filespec
    Configurar mascara (expresiones regulares) e.g. *.[ch] para todos los *.c y *.h - Files

-Group
    Cambiar el grupo del fichero seleccionado

-^Group
    Cambiar el grupo de todos los ficheros marcados

-Hex
    Ver el fichero seleccionado con HEXDUMP (ver ~/.ytree), o - si no esta definido - hd / od -h

-Log
    Reiniciar ytree con un nuevo directorio/archivo como raiz

-Move
    mover el fichero seleccionado

-^N Move
    Mover todos los ficheros marcados

-Owner
    Cambiar el usuario dueño del fichero seleccionado

-^Owner
    Cambiar el usuario dueño de todos los ficheros marcados

-Pipe
    Enviar el contenido del archivo a traves de un comando

-^Pipe
    Enviar el contenido de todos los ficheros a traves de un comando

-Rename
    Renombrar el fichero marcado

-^Rename
    Renombrar todos los ficheros marcados

-Sort
    Ordenar la lista de ficheros por
    - Fecha de acceso
    - Fecha de cambio
    - Extensión
    - Grupo
    - Fecha de modificación
    - Nómbre
    - Dueño
    - Tamaño

-Tag
    Marcar el fichero seleccionado

-^Tag
    Marcar todos los ficheros mostrados

-Untag
    Desmarcar el fichero seleccionado

-^Untag
    Desmarcar todos los ficheros mostrados

-View
    Ver el fichero con el paginador definido en ~/.ytree o - si no esta definido - con pg -cen

-eXecute
    Ejecutar un shell con un comando

-e^Xecute
    Ejecutar un shell con un comando para todos los ficheros marcados. El texto {} es reemplazado por el fichero actual

-pathcopY
    Copiar el fichero selecionado con el camino

-pathcop^Y
    Copiar todos los ficheros marcados con el camino

-^Filemode
    Cambiar el modo de vista para los ficheros:
    - solamente nómbres
    - nómbre, atributos, links, tamaño, fecha de modificación,
      link simbólico
    - nómbre, atributos, inode, dueño, grupo, link simbólico
    - changestatus-, fecha de acceso, link simbólico

-^L Redibujar la terminal

-Space
    Suprimir la salida por terminal mientras esta trabajando

-Return
    Cambiar a la ventana expandida

3.) Ventana de directorios

-Filespec
    Configurar máscara(expresiones regulares) e.g. *.[ch] para todos ficheros los *.c y *.h -

-Log
    Reiniciar ytree con un nuevo directorio/archivo como raiz

-Showall
    Mostrar todos los ficheros de todos los directorios

-Tag
    Marcar todos los ficheros en el directorio seleccionado

-Untag
    Desmarcar todos los ficheros en el directorio seleccionado

-eXecute
    Ejecutar un shell con un comando

-^Filemode
    Cambiar el modo de vista para los ficheros:
    - Solamente nómbres de ficheros
    - nómbres, atributos, links, tamaño, fecha de modificación
    - nómbre, atributos, dueño, grupo

-^L Redibujar la terminal

4.) Ventana de Archivos:

-Copy
    Copiar el fichero seleccionado

-^K Copy
    Copiar todos los ficheros marcados

-Filespec
    Configurar la mascara (expresiones regulares) e.g. *.[ch] para todos los ficheros *.c y *.h -

-Hex
    Ver el fichero seleccionado con HEXDUMP (ver ~/.ytree), o - si no esta definido - hd / od -h

-Pipe
    Pipe content of all tagged to a command Enviar el contenido de todos los ficheros marcados a traves de un comando

-Sort
    Ordenar la lista de ficheros por
    - Fecha de acceso
    - Fecha de cambio
    - Extensión
    - Grupo
    - Fecha de modificación
    - Nómbre
    - Dueño
    - Tamaño

-Tag
    Marcar el fichero seleccionado

-^Tag
    Marcar todos los ficheros en el directorio seleccionado

-Untag
    Desmarcar todos los ficheros del directorio seleccionado

-View
    Ver el fichero con el paginador definido en ~/.ytree o - si no esta definido - con pg -cen

-eXecute
    Ejecutar un shell con un comando

-^Filemode
    Cambiar el modo de vista para los ficheros:
    - solamente nómbres
    - nómbres, atributos, links, tamaño

-^L Redibujar la terminal

-Return
    Cambiar a ventana expandida

ytree cambia a ventana de archivo automáticamentes simplemente por seleccionar un fichero con el commando Log o por ejecutar ytree desde la línea de comandos con un fichero como argumento.

ytree reconoce la extensión del fichero ".F", ".Z", ".z" y ".gz" y ejecuta el descompresor apropiado MELT (por defecto=melt), UNCOMPRESS (por defecto=uncompress) y GNUUNZIP (por defecto=gunzip -c). Usted puede cambiar estas configuraciones en ~/.ytree.

ytree reconoce los siguientes tipos de archivos y requiere:

      archivos TAR: gtar     (revisado con GNU-TAR 1.11.2)
      archivos ARC: arc      (revisado con arc 5.12 02/05/86)
      archivos LHA: xlharc   (revisado con xlharc V1.02 1989)
      archivos ZIP: unzip    (revisado con unzip v5.0 08/92)
      "         " : zipinfo  (revisado con zipinfo v1.0 08/92)
      archivos ZOO: zoo      (revisado con zoo v2.10)

Los archivos son reconocidos por la extension del nombre(e.g zoo, zip). Los archivos TAR pueden tener las siguientes extensiones:

      ".F", ".TFR", ".Faa",                            (freeze)
      ".Z", ".TZ", ".TZR", ".Xaa",                   (compress)
      ".z", ".gz", ".tzr", ".tz", ".xaa", ".tgz", ".TGZ",
      ".taz", ".TAZ", ".tpz" und ".TPZ"                  (gzip)

El comando VER es configurable en la seccion [VIEWER] de ~/.ytree:

Example:

 [VIEWER]
 .jpg,.gif,.bmp,.tif,.ppm,.xpm=xv
 .1,.2,.3,.4,.5,.6,.7,.8,.n=nroff -man | less
 .ps=ghostview
 .mid,.MID=playmidi -e
 .wav,.WAV=splay
 .au=auplay
 .avi,.mpg,.mov=xanim
 .htm,.html=lynx
 .pdf,.PDF=acroread
 .mp3=mpg123

Un historial de lineas es soportado: Use las teclas up/down. Use "F2" en la línea de comando para seleccionar directorios.

FICHEROS

$HOME/.ytree    fichero de configuracion del ytree

ERRORES

Para evitar problemas con las sequencias de escape en máquinas RS/6000 (telnet/rlogin) configure la variable de entorno ESCDELAY:

ESCDELAY=1000
export ESCDELAY

AUTOR

W. Bregulla (werner@frolix.han.de)

Traduccion del manual

Carlos Barros (cbf@debian.org)